---
search:
  tags:
    - customers
    - POST
seo:
  description: >-
    Create customer partner residual. Reference for the POST
    /workspaces/{organizationId}/customers/partner-residuals endpoint in the
    Pile API.
sidebar:
  label: Create customer partner residual
  badge: POST
title: Create customer partner residual
type: openapi-operation
---
`POST /workspaces/{organizationId}/customers/partner-residuals`

**Request body** (`application/json`)

- `merchants` (object[], required)

Request body example:

```json
{
  "merchants": [
    {
      "customerId": "string",
      "merchantName": "string",
      "partnerId": "string",
      "partnerName": "string",
      "monthlyCardVolumeCents": 0,
      "monthlyAchCount": 0,
      "netCardMarginBps": 0,
      "netAchMarginCentsPerTx": 0,
      "partnerRevSharePct": 0
    }
  ]
}
```

**Responses**

- `200` — Computed monthly partner residual revenue-share payouts across referred merchants using Effect

Response example, 200:

```json
{
  "totalMerchants": 0,
  "totalVortexNetProfitCents": 0,
  "totalPartnerResidualPayoutCents": 0,
  "rows": [
    {
      "property1": null,
      "property2": null
    }
  ]
}
```
